#!/bin/sh

if [ ! $1 ]
    then
    echo "usage: $0 displays_dir"
    exit
else
    DISPLAYS_DIR=$1
fi

if [ "*.display" != '*.display' ]
    then
    echo "No display found"
    exit
fi

# do not use find (because of ./)
for DISPLAY in *.display
  do
  NAME=${DISPLAY%.display}
  SCRIPT=gdesklets-add-$NAME-display
  echo "Creating $SCRIPT"
  cat > $SCRIPT << EOF
#!/bin/sh
gdesklets open $DISPLAYS_DIR/$DISPLAY
EOF
  chmod +x $SCRIPT
done

echo "add-display scripts created"
